### Struct

# GLib MainLoop

#### Description

    struct GMainLoop {
      /* No available fields */
    }

The `GMainLoop` struct is an opaque data type representing the main event loop of a GLib or GTK application.

#### Constructors

###### g_main_loop_new

Creates a new `GMainLoop` structure.

#### Instance methods

###### g_main_loop_get_context

Returns the `GMainContext` of `loop`.

###### g_main_loop_is_running

Checks to see if the main loop is currently being run via g_main_loop_run().

###### g_main_loop_quit

Stops a `GMainLoop` from running. Any calls to `g_main_loop_run()` for the loop will return.

###### g_main_loop_ref

Increases the reference count on a `GMainLoop` object by one.

###### g_main_loop_run

Runs a main loop until `g_main_loop_quit()` is called on the loop. If this is called for the thread of the loop’s `GMainContext`, it will process events from the loop, otherwise it will simply wait.

###### g_main_loop_unref

Decreases the reference count on a `GMainLoop` object by one. If the result is zero, free the loop and free all associated memory.